%define pkg_name        Email-Valid-Loose
%define pkg_version     0.05
%define rpm_pkg_version 0.05
%define rpm_pkg_release 2.n0i.3

Summary:       Email::Valid which allows dot before at mark
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/M/MI/MIYAGAWA/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(Email::Valid) >= 0.17}


%description
Email::Valid::Loose is a subclass of Email::Valid, which allows . (dot)
before @ (at-mark). It is invalid in RFC822, but is commonly used nowadays.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.05-2.n0i.3
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- rebuild on perl 5.8.8

* Wed Jun 28 2006 Marius Feraru <altblue@n0i.net> - 0.05-1.n0i.2
- versionn 0.05

* Sun Apr 09 2006 Marius Feraru <altblue@n0i.net> 0.04-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer v1.12.0
- rebuild on perl 5.8.8
